Subject: Re: 'commit -a' safety (was: Re: Please default to 'commit -a' when no changes were added)

From: Petr Baudis <[email-masked]>
Date: Sat, 24 Apr 2010 20:54:33 +0200

On Sat, Apr 24, 2010 at 02:35:17PM -0400, Nicolas Pitre wrote:
> In that case the deficiency is in the fact that no reflog preserves the 
> intermediate state of the index, not the fact that you might be allowed 
> to do it.  Strictly speaking there is no intermediate ref to log, but a 
> synthetic commit could be created for this case just like a stash but 
> stored in the current branch's reflog.

Possibly, but I don't see how is this better than the check - it is less
user friendly, most importantly because user that has not seen this
twice has no idea that anything *was* saved to a reflog.

Are there valid user scenarios where you customize your index, then want
to override that using -a without thinking twice?

-- 
				Petr "Pasky" Baudis
When I feel like exercising, I just lie down until the feeling
goes away.  -- xed_over